Consultar saldo
curl --request GET \
--url https://api-payment.safefypay.com.br/v1/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-payment.safefypay.com.br/v1/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-payment.safefypay.com.br/v1/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-payment.safefypay.com.br/v1/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-payment.safefypay.com.br/v1/balance")
.header("Authorization", "Bearer <token>")
.asString();{
"data": {
"currency": "BRL",
"balance": {
"available": 150000,
"pending": 25000,
"reserved": 0,
"total": 175000
},
"totals": {
"lifetimeVolume": 5000000,
"lifetimePayouts": 4800000,
"lifetimeRefunds": 50000
},
"period": {
"volumeToday": 100000,
"volumeThisWeek": 500000,
"volumeThisMonth": 2000000
},
"updatedAt": "2025-01-15T15:00:00Z"
},
"message": null,
"error": null
}{
"data": null,
"message": null,
"error": {
"message": "Token invalido ou expirado.",
"code": "unauthorized"
}
}Balance
Get balance
Retrieve the current merchant balance
GET
/
v1
/
balance
Consultar saldo
curl --request GET \
--url https://api-payment.safefypay.com.br/v1/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-payment.safefypay.com.br/v1/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-payment.safefypay.com.br/v1/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-payment.safefypay.com.br/v1/balance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-payment.safefypay.com.br/v1/balance")
.header("Authorization", "Bearer <token>")
.asString();{
"data": {
"currency": "BRL",
"balance": {
"available": 150000,
"pending": 25000,
"reserved": 0,
"total": 175000
},
"totals": {
"lifetimeVolume": 5000000,
"lifetimePayouts": 4800000,
"lifetimeRefunds": 50000
},
"period": {
"volumeToday": 100000,
"volumeThisWeek": 500000,
"volumeThisMonth": 2000000
},
"updatedAt": "2025-01-15T15:00:00Z"
},
"message": null,
"error": null
}{
"data": null,
"message": null,
"error": {
"message": "Token invalido ou expirado.",
"code": "unauthorized"
}
}Returns the current balance of the authenticated merchant.
All monetary values are in cents (e.g.,
1500 = R$15.00).
Always use
withdrawNowAvailable when creating a cashout. If requiresFullWithdrawalNow is true, your cashout request must use that exact amount.